function _define_property(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, {
            value: value,
            enumerable: true,
            configurable: true,
            writable: true
        });
    } else {
        obj[key] = value;
    }
    return obj;
}
function _object_spread(target) {
    for(var i = 1; i < arguments.length; i++){
        var source = arguments[i] != null ? arguments[i] : {};
        var ownKeys = Object.keys(source);
        if (typeof Object.getOwnPropertySymbols === "function") {
            ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function(sym) {
                return Object.getOwnPropertyDescriptor(source, sym).enumerable;
            }));
        }
        ownKeys.forEach(function(key) {
            _define_property(target, key, source[key]);
        });
    }
    return target;
}
function ownKeys(object, enumerableOnly) {
    var keys = Object.keys(object);
    if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);
        if (enumerableOnly) {
            symbols = symbols.filter(function(sym) {
                return Object.getOwnPropertyDescriptor(object, sym).enumerable;
            });
        }
        keys.push.apply(keys, symbols);
    }
    return keys;
}
function _object_spread_props(target, source) {
    source = source != null ? source : {};
    if (Object.getOwnPropertyDescriptors) {
        Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
        ownKeys(Object(source)).forEach(function(key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
        });
    }
    return target;
}
function _object_without_properties(source, excluded) {
    if (source == null) return {};
    var target = {}, sourceKeys, key, i;
    if (typeof Reflect !== "undefined" && Reflect.ownKeys) {
        sourceKeys = Reflect.ownKeys(source);
        for(i = 0; i < sourceKeys.length; i++){
            key = sourceKeys[i];
            if (excluded.indexOf(key) >= 0) continue;
            if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
            target[key] = source[key];
        }
        return target;
    }
    target = _object_without_properties_loose(source, excluded);
    if (Object.getOwnPropertySymbols) {
        sourceKeys = Object.getOwnPropertySymbols(source);
        for(i = 0; i < sourceKeys.length; i++){
            key = sourceKeys[i];
            if (excluded.indexOf(key) >= 0) continue;
            if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
            target[key] = source[key];
        }
    }
    return target;
}
function _object_without_properties_loose(source, excluded) {
    if (source == null) return {};
    var target = {}, sourceKeys = Object.getOwnPropertyNames(source), key, i;
    for(i = 0; i < sourceKeys.length; i++){
        key = sourceKeys[i];
        if (excluded.indexOf(key) >= 0) continue;
        if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
        target[key] = source[key];
    }
    return target;
}
import React from "react";
export var MojoIcon = function MojoIcon(_0) {
    var _0_size = _0.size, size = _0_size === void 0 ? '1em' : _0_size, props = _object_without_properties(_0, [
        "size"
    ]);
    return /*#__PURE__*/ React.createElement("svg", _object_spread_props(_object_spread({
        width: size,
        height: size
    }, props), {
        clipRule: "evenodd",
        fillRule: "evenodd",
        strokeLinejoin: "round",
        strokeMiterlimit: "2",
        version: "1.1",
        viewBox: "0 0 48 48",
        xmlSpace: "preserve",
        xmlns: "http://www.w3.org/2000/svg"
    }), /*#__PURE__*/ React.createElement("path", {
        d: "m36.364 22.257c-0.50118-0.65372-1.1113-1.2203-1.6779-1.7868-1.46-1.3074-3.1161-2.2444-4.5107-3.6172a10.852 10.852 0 0 1-1.8958-12.464c-2.0701 0.50118-3.8787 1.6343-5.4259 2.8764a17.215 17.215 0 0 0-5.208 19.394c0.08716 0.21791 0.17432 0.43581 0.17432 0.71909 0 0.47939-0.32686 0.91521-0.76267 1.0895-0.50118 0.21791-1.0242 0.08716-1.4382-0.26149a10.895 10.895 0 0 1-1.5036-11.527c-3.639 2.9635-5.622 7.9754-5.3387 12.704 0.13074 1.0895 0.26149 2.1791 0.63193 3.2686 0.30507 1.3074 0.89342 2.6149 1.5471 3.7698a15.253 15.253 0 0 0 10.808 7.0166c4.6632 0.58835 9.6532-0.26149 13.227-3.4865a12.911 12.911 0 0 0 3.334-14.382l-0.28328-0.56656c-0.4576-1.0024-1.6779-2.7456-1.6779-2.7456m-6.8858 13.728c-0.61014 0.52298-1.6125 1.0895-2.397 1.3074-2.4405 0.87162-4.8811-0.34865-6.3193-1.7868a6.0469 6.0469 0 0 0 4.5978-4.4671c0.37044-1.7432-0.32686-3.1814-0.61014-4.8593a8.0625 8.0625 0 0 1 0.37044-4.4889c0.41402 0.82804 0.84983 1.6561 1.3728 2.3098 1.6779 2.1791 4.3145 3.1378 4.8811 6.1014 0.08716 0.30507 0.13074 0.61014 0.13074 0.937a6.657 6.657 0 0 1-2.0265 4.9465z",
        fill: "#ff7043",
        fillRule: "nonzero",
        strokeWidth: "1.0895"
    }));
};
export default MojoIcon;
